Bug 1090452 - FTBFS: (lt-cd-it8:20509): GLib-ERROR **: gmem.c:103: failed to allocate 14804752269312 bytes
Summary: FTBFS: (lt-cd-it8:20509): GLib-ERROR **: gmem.c:103: failed to allocate 14804...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: colord
Version: 22
Hardware: powerpc
OS: Linux
medium
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-04-23 11:19 UTC by Karsten Hopp
Modified: 2016-07-19 20:24 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 20:24:57 UTC


Attachments (Terms of Use)
build.log (195.12 KB, text/plain)
2014-04-23 11:19 UTC, Karsten Hopp
no flags Details
root.log (95.36 KB, text/plain)
2014-04-23 11:20 UTC, Karsten Hopp
no flags Details

Description Karsten Hopp 2014-04-23 11:19:24 UTC
Created attachment 888863 [details]
build.log

Description of problem:
colord-1.2.0-1.fc21 fails to compile on ppc64 bigendian machines:

Making all in cmf
make[3]: Entering directory `/builddir/build/BUILD/colord-1.2.0/data/cmf'
\
../../client/cd-it8 create-cmf CIE1931-2deg-XYZ.cmf	\
	./CIE1931-2deg-XYZ.csv 1.0
(lt-cd-it8:20509): GLib-ERROR **: gmem.c:103: failed to allocate 14804752269312 bytes
make[3]: *** [CIE1931-2deg-XYZ.cmf] Trace/breakpoint trap (core dumped)
make[3]: Leaving directory `/builddir/build/BUILD/colord-1.2.0/data/cmf'
make[2]: *** [all-recursive] Error 1

Version-Release number of selected component (if applicable):
colord-1.2.0-1.fc21

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f21 colord-1.2.0-1.fc21.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1786643

Expected results:


Additional info:

If you need access to a F21 PPC64 machine, please send me your public ssh key and I can give you an account.

Comment 1 Karsten Hopp 2014-04-23 11:20:00 UTC
Created attachment 888864 [details]
root.log

Comment 2 Richard Hughes 2014-04-29 11:35:44 UTC
I think this fixes it:

commit 919eda53dad3d635aa4b815c923bcd33f3258d3f
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Apr 17 13:28:48 2014 +0100

    Fix building the CMF spectra on OpenBSD/sparc64
    
    Do not cast gsize* to guint32* as this will not work when the size is different.
    
    Perhaps resolves: https://bugs.freedesktop.org/show_bug.cgi?id=77535

:100644 100644 16375e5... 8da4a41... M  lib/colord/cd-it8.c

Comment 3 Karsten Hopp 2014-05-14 15:45:04 UTC
Here's a scratch build with that patch:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1836147

Thanks a lot, that fixed the problem on ppc64. Could you build a package with that fix on the primary archs, please ? Or should I go ahead and commit that fix to Fedora git and build colord myself ?

Comment 4 Jaroslav Reznik 2015-03-03 17:00:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora End Of Life 2016-07-19 20:24:57 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.